import { TextSelection } from 'prosemirror-state';
import { EditorView, NodeView } from 'prosemirror-view';
import { Node as ProsemirrorNode } from 'prosemirror-model';
import { Transaction as CMTransaction } from '@codemirror/state';
import { Command, EditorView as CMView } from '@codemirror/view';
import { CodeMirrorViewOptions } from './types';
declare class CodeMirrorView implements NodeView {
    node: ProsemirrorNode;
    view: EditorView;
    dom: HTMLElement;
    cm: CMView;
    getPos: () => number;
    updating: boolean;
    constructor(options: CodeMirrorViewOptions);
    forwardSelection(): void;
    asProseMirrorSelection(doc: ProsemirrorNode): TextSelection;
    dispatch(cmTr: CMTransaction): void;
    mayBeEscape(unit: 'char' | 'line', dir: -1 | 1): Command;
    update(node: ProsemirrorNode): boolean;
    setSelection(anchor: number, head: number): void;
    focus(): void;
    selectNode(): void;
    stopEvent(): boolean;
    destroy(): void;
}
export default CodeMirrorView;
